# Uses of Interface
org.eclipse.ui.IEditorSite

Packages that use IEditorSite
Package
Description
org.eclipse.debug.ui.sourcelookup
Provides a user interface for debug platform source lookup facilities.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.forms.editor
Support for forms-based multi-page editors.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of IEditorSite in org.eclipse.debug.ui.sourcelookup

Methods in org.eclipse.debug.ui.sourcelookup with parameters of type IEditorSite
Modifier and Type
Method
Description
`void`
CommonSourceNotFoundEditor.`init(IEditorSite site, IEditorInput input)`

## Uses of IEditorSite in org.eclipse.ui

Methods in org.eclipse.ui that return IEditorSite
Modifier and Type
Method
Description
`IEditorSite`
IEditorPart.`getEditorSite()`
Returns the site for this editor.
Methods in org.eclipse.ui with parameters of type IEditorSite
Modifier and Type
Method
Description
`void`
IEditorPart.`init(IEditorSite site, IEditorInput input)`
Initializes this editor with the given editor site and input.

## Uses of IEditorSite in org.eclipse.ui.forms.editor

Methods in org.eclipse.ui.forms.editor with parameters of type IEditorSite
Modifier and Type
Method
Description
`void`
FormEditor.`init(IEditorSite site, IEditorInput input)`
Overrides super to plug in a different selection provider.
`void`
FormPage.`init(IEditorSite site, IEditorInput input)`
Initializes the form page.

## Uses of IEditorSite in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator with parameters of type IEditorSite
Modifier and Type
Method
Description
`static ICommonViewerWorkbenchSite`
CommonViewerSiteFactory.`createCommonViewerSite(IEditorSite aEditorSite)`

## Uses of IEditorSite in org.eclipse.ui.part

Classes in org.eclipse.ui.part that implement IEditorSite
Modifier and Type
Class
Description
`class`
`MultiPageEditorSite`
Site for a nested editor within a multi-page editor.
Methods in org.eclipse.ui.part that return IEditorSite
Modifier and Type
Method
Description
`protected IEditorSite`
MultiPageEditorPart.`createSite(IEditorPart editor)`
Creates the site for the given nested editor.
`IEditorSite`
EditorPart.`getEditorSite()`
Methods in org.eclipse.ui.part with parameters of type IEditorSite
Modifier and Type
Method
Description
`void`
AbstractMultiEditor.`init(IEditorSite site, IEditorInput input)`
`void`
AbstractMultiEditor.`init(IEditorSite site, MultiEditorInput input)`
`abstract void`
EditorPart.`init(IEditorSite site, IEditorInput input)`
`void`
MultiPageEditorPart.`init(IEditorSite site, IEditorInput input)`
The `MultiPageEditorPart` implementation of this `IEditorPart` method sets its site to the given site, its input to the given input, and the site's selection provider to a `MultiPageSelectionProvider`.

## Uses of IEditorSite in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor with parameters of type IEditorSite
Modifier and Type
Method
Description
`void`
AbstractTextEditor.`init(IEditorSite site, IEditorInput input)`
`protected final void`
AbstractTextEditor.`internalInit(IWorkbenchWindow window, IEditorSite site, IEditorInput input)`
Implements the `init` method of `IEditorPart`.